import type { SafeEquals } from "../../types/SafeEquals.js";
import type { SafeFrom } from "../../types/SafeFrom.js";
interface Int2Object {
    value: number;
}
interface Int2 {
    int2: number;
    value: number;
    postgres: string;
    toString(): string;
    toNumber(): number;
    toJSON(): Int2Object;
    equals(number: number): boolean;
    equals(string: string): boolean;
    equals(object: Int2 | Int2Object): boolean;
    safeEquals(number: number): SafeEquals<Int2>;
    safeEquals(string: string): SafeEquals<Int2>;
    safeEquals(object: Int2 | Int2Object): SafeEquals<Int2>;
}
interface Int2Constructor {
    from(number: number): Int2;
    from(string: string): Int2;
    from(object: Int2 | Int2Object): Int2;
    safeFrom(number: number): SafeFrom<Int2>;
    safeFrom(string: string): SafeFrom<Int2>;
    safeFrom(object: Int2 | Int2Object): SafeFrom<Int2>;
    /**
     * Returns `true` if `object` is a `Int2`, `false` otherwise.
     */
    isInt2(object: any): object is Int2;
}
declare const Int2: Int2Constructor;
export { Int2, Int2Constructor, Int2Object };
