import type { SafeEquals } from "../../types/SafeEquals.js";
import type { SafeFrom } from "../../types/SafeFrom.js";
interface Int4Object {
    value: number;
}
interface Int4 {
    int4: number;
    value: number;
    postgres: string;
    toString(): string;
    toNumber(): number;
    toJSON(): Int4Object;
    equals(number: number): boolean;
    equals(string: string): boolean;
    equals(object: Int4 | Int4Object): boolean;
    safeEquals(number: number): SafeEquals<Int4>;
    safeEquals(string: string): SafeEquals<Int4>;
    safeEquals(object: Int4 | Int4Object): SafeEquals<Int4>;
}
interface Int4Constructor {
    from(number: number): Int4;
    from(string: string): Int4;
    from(object: Int4 | Int4Object): Int4;
    safeFrom(number: number): SafeFrom<Int4>;
    safeFrom(string: string): SafeFrom<Int4>;
    safeFrom(object: Int4 | Int4Object): SafeFrom<Int4>;
    /**
     * Returns `true` if `object` is a `Int4`, `false` otherwise.
     */
    isInt4(object: any): object is Int4;
}
declare const Int4: Int4Constructor;
export { Int4, Int4Constructor, Int4Object };
